Bug 152558 - [PATCH] boost update to 1.45
[PATCH] boost update to 1.45
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: pav
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-24 21:20 UTC by armin
Modified: 2010-12-27 21:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 pav freebsd_committer 2010-11-26 14:49:35 UTC
Dear maintainer of FreeBSD boost ports, please take a look at

   http://www.freebsd.org/cgi/query-pr.cgi?pr=152558

Do you approve these changes?

-- 
Pav Lucistnik <pav@oook.cz>
               <pav@FreeBSD.org>
Comment 2 pav freebsd_committer 2010-11-26 14:49:41 UTC
State Changed
From-To: open->feedback

Asked maintainer for approval 


Comment 3 pav freebsd_committer 2010-11-26 14:49:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Track
Comment 4 armin 2010-11-29 19:03:24 UTC
Just to prevent a maintainer timeout - I informed him about the PR 
earlier and he replied that he is currently testing his own patch - and 
he'll compare the patches.
Comment 5 alexanderchuranov 2010-12-08 18:56:55 UTC
Pav,

I've examined the suggested patch and merged with mine. At present I
am communicating with Armin on re-building dependent packages in
parallel.

The patch is available at
http://alexanderchuranov.com/boost-port/boost-1.43-to-1.45.diff

I'll explicitly tell when the patch is tested in full.

Alexander Churanov,
maintainer of devel/boost-*
Comment 6 pav freebsd_committer 2010-12-09 08:07:03 UTC
State Changed
From-To: feedback->open

Maintainer patch received
Comment 7 alexanderchuranov 2010-12-09 17:11:32 UTC
I'd like to pay attention to the fact Armin and I are testing the
dependent packages on various versions of FreeBSD. I'll drop a message
when the test results are ready. I think the "feedback->open" state
transition is not 100% correct.

Alexander Churanov,
maintainer of devel/boost-*
Comment 8 pav freebsd_committer 2010-12-09 19:30:32 UTC
> I'd like to pay attention to the fact Armin and I are testing the
> dependent packages on various versions of FreeBSD. I'll drop a message
> when the test results are ready. I think the "feedback->open" state
> transition is not 100% correct.

I will do a full-tree test run on pointyhat for it.

-- 
-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>
A spoonful of curry, garlic and mustard helps the medicine go down...
and come straight back up again. -- JLE on #angband
Comment 9 alexanderchuranov 2010-12-10 17:24:02 UTC
Pav,

OK. We'll proceed with our testing anyway. I've already noticed that
some ports break after upgrade. In the cases I've examined so far it's
not a Boost issue and is usually fixable in the failed port. I am
going to file appropriate PRs and submit patches against failed ports.

Alexander Churanov
Comment 10 pav freebsd_committer 2010-12-10 22:15:48 UTC
> OK. We'll proceed with our testing anyway. I've already noticed that
> some ports break after upgrade. In the cases I've examined so far it's
> not a Boost issue and is usually fixable in the failed port. I am
> going to file appropriate PRs and submit patches against failed ports.

Those patches can be committed as part of the boost update without
individual approvals.

-- 
-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>
> Why do we need a film of "Lord of the Rings" when we have the book?
Because watching a cg enhanced Legolas fire a flaming arrow into the
heart of a warg is cool? - asdf@asdf.com in rec.games.roguelike.angband
Comment 11 alexanderchuranov 2010-12-11 09:14:29 UTC
2010/12/11 Pav Lucistnik <pav@freebsd.org>:
> Those patches can be committed as part of the boost update without
> individual approvals.

OK, after our testing is complete I'll provide a summary of new
failures and how to fix them.

Alexander Churanov,
maintainer of devel/boost-*
Comment 13 alexanderchuranov 2010-12-14 13:54:34 UTC
Pav,

patches for the failed ports are available at
http://alexanderchuranov.com/boost-port/ . There is a directory for
each failed port. Patches for each port should be placed into the
"files" directory.

I did not found other failures when re-building  dependent ports for 8.1 - i386.
As I know, Armin is still building 7x and 9x.

Alexander Churanov,
maintainer of devel/boost-*
Comment 14 pav freebsd_committer 2010-12-17 20:33:22 UTC
State Changed
From-To: open->feedback

One failure: 

http://pointyhat.FreeBSD.org/errorlogs/amd64-errorlogs/a.8-exp.20101216095303/hrktorrent-0.3.5_1.log
Comment 15 alexanderchuranov 2010-12-20 12:47:17 UTC
Pav,

The patches for recently failed ports are available at
http://alexanderchuranov.com/boost-port/ in their corresponding
directories. Each patch should be added to the "files" directory of
the port.

The new patches modify "libtorrent-rasterbar-14" and "hrktorrent"
ports. Both applications do not include necessary header files and
were building before the update by coincidence.

By the way, Armin finished his testing. We have not found any new
failures on 7x, 8x and 9x (amd64 and i386).

Alexander Churanov,
maintainer of devel/boost-*
Comment 16 pav freebsd_committer 2010-12-20 15:00:13 UTC
State Changed
From-To: feedback->open

New patch received, will be tested
Comment 17 pav freebsd_committer 2010-12-27 20:52:25 UTC
State Changed
From-To: open->closed

Committed!
Comment 18 dfilter freebsd_committer 2010-12-27 20:53:17 UTC
pav         2010-12-27 20:53:10 UTC

  FreeBSD ports repository

  Modified files:
    devel/boost-all      common.mk compiled.mk 
    devel/boost-docs     distinfo pkg-plist 
    devel/boost-jam      Makefile distinfo 
    devel/boost-libs     Makefile distinfo pkg-plist 
    devel/boost-libs/files patch-boost__config__compiler__gcc.hpp 
                           patch-boost_asio-ioctl 
                           patch-boost_parameter_aux__maybe.hpp 
                           patch-libs_regex_build_Jamfile.v2 
                           patch-tools_jam_src_build.jam 
    devel/boost-pyste    distinfo 
    devel/boost-pyste/files patch-tools_jam_src_build.jam 
    devel/boost-python-libs distinfo 
    devel/boost-python-libs/files patch-tools_jam_src_build.jam 
  Log:
  - Update to 1.45
  
  PR:             ports/152558
  Submitted by:   Armin Pirkovitsch <armin@frozen-zone.org>,
                  Alexander Churanov <alexanderchuranov@gmail.com> (maintainer)
  
  Revision  Changes     Path
  1.4       +1 -1       ports/devel/boost-all/common.mk
  1.3       +2 -1       ports/devel/boost-all/compiled.mk
  1.4       +3 -3       ports/devel/boost-docs/distinfo
  1.4       +2086 -756  ports/devel/boost-docs/pkg-plist
  1.3       +2 -18      ports/devel/boost-jam/Makefile
  1.4       +3 -3       ports/devel/boost-jam/distinfo
  1.8       +2 -3       ports/devel/boost-libs/Makefile
  1.4       +3 -3       ports/devel/boost-libs/distinfo
  1.2       +3 -3       ports/devel/boost-libs/files/patch-boost__config__compiler__gcc.hpp
  1.2       +78 -52     ports/devel/boost-libs/files/patch-boost_asio-ioctl
  1.2       +0 -78      ports/devel/boost-libs/files/patch-boost_parameter_aux__maybe.hpp
  1.3       +0 -11      ports/devel/boost-libs/files/patch-libs_regex_build_Jamfile.v2
  1.2       +0 -11      ports/devel/boost-libs/files/patch-tools_jam_src_build.jam
  1.4       +287 -41    ports/devel/boost-libs/pkg-plist
  1.3       +3 -3       ports/devel/boost-pyste/distinfo
  1.2       +0 -11      ports/devel/boost-pyste/files/patch-tools_jam_src_build.jam
  1.4       +3 -3       ports/devel/boost-python-libs/distinfo
  1.2       +0 -11      ports/devel/boost-python-libs/files/patch-tools_jam_src_build.jam
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 19 dfilter freebsd_committer 2010-12-27 20:54:43 UTC
pav         2010-12-27 20:54:38 UTC

  FreeBSD ports repository

  Added files:
    devel/boost-libs/files patch-libs_random_src_random_device.cpp 
                           patch-tools_build_v2_engine_src_build.jam 
    devel/boost-pyste/files 
                            patch-tools_build_v2_engine_src_build.jam 
    devel/boost-python-libs/files 
                                  patch-tools_build_v2_engine_src_build.jam 
  Removed files:
    devel/boost-libs/files patch-boost_parameter_aux__maybe.hpp 
                           patch-libs_regex_build_Jamfile.v2 
                           patch-tools_jam_src_build.jam 
    devel/boost-pyste/files patch-tools_jam_src_build.jam 
    devel/boost-python-libs/files patch-tools_jam_src_build.jam 
  Log:
  - Update to 1.45
  
  PR:             ports/152558
  Submitted by:   Armin Pirkovitsch <armin@frozen-zone.org>,
                  Alexander Churanov <alexanderchuranov@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.3       +0 -0      ports/devel/boost-libs/files/patch-boost_parameter_aux__maybe.hpp (dead)
  1.1       +11 -0     ports/devel/boost-libs/files/patch-libs_random_src_random_device.cpp (new)
  1.4       +0 -0      ports/devel/boost-libs/files/patch-libs_regex_build_Jamfile.v2 (dead)
  1.1       +11 -0     ports/devel/boost-libs/files/patch-tools_build_v2_engine_src_build.jam (new)
  1.3       +0 -0      ports/devel/boost-libs/files/patch-tools_jam_src_build.jam (dead)
  1.1       +11 -0     ports/devel/boost-pyste/files/patch-tools_build_v2_engine_src_build.jam (new)
  1.3       +0 -0      ports/devel/boost-pyste/files/patch-tools_jam_src_build.jam (dead)
  1.1       +11 -0     ports/devel/boost-python-libs/files/patch-tools_build_v2_engine_src_build.jam (new)
  1.3       +0 -0      ports/devel/boost-python-libs/files/patch-tools_jam_src_build.jam (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"